This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 52105 - mkinitrd doesn't compile cleanly on alpha.
mkinitrd doesn't compile cleanly on alpha.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-20 11:57 EDT by hjl
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-20 11:57:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A patch (653 bytes, patch)
2001-08-20 11:57 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2001-08-20 11:57:02 EDT
On alpha, I got

cc -O2 -Wall -DVERSION=\"3.1.5\" -DUSE_MINILIBC=0   -c -o nash.o nash.c
nash.c: In function `losetupCommand':
nash.c:297: warning: cast to pointer from integer of different size
nash.c: In function `pivotrootCommand':
nash.c:362: warning: implicit declaration of function `pivot_root'

It may also affect ia64.
Comment 1 hjl 2001-08-20 11:57:32 EDT
Created attachment 28494 [details]
A patch
Comment 2 Erik Troan 2002-05-21 18:20:40 EDT
The pivot_root warning is already gone, I fixed the ioctl cast one just now (3.3.11)

I'm getting a bunch of warnings on alpha about dummy3, dummy4, dumm5 from the
definition of _syscall2() on pivot_root... dunno why.

Note You need to log in before you can comment on or make changes to this bug.